> For the complete documentation index, see [llms.txt](https://docs.hello-robot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hello-robot.com/stretch4_docs/working-with-stretch/motion_basics/homing-and-stowing.md).

# Homing and Stowing

## Homing

Homing the robot enables each joint to find its zero position. The Stretch Body Server (SBS) generally prevents motion of a joint prior to homing to ensure safe operation.

Typically, the robot only needs to be homed once — after power-up. However, periodic re-homing may be needed during development if joints are power cycled, etc.

To home

{% stepper %}
{% step %}

### Check that Stretch Body Server is running

```
stretch_body_server --status
For use with S T R E T C H (R) from Hello Robot Inc.
---------------------------------------------------------------------

Setting log level to INFO
---- Stretch Body Server Status ----
State:              RUNNING
...
```

{% endstep %}

{% step %}

### Check the robot workspace

Ensure that the joints can move without colliding with nearby tables, chairs, etc.
{% endstep %}

{% step %}

### Home the robot

The joints will move to each hardstop and then return to a neutral position. Visually monitor each joint motion to see that it successfully hits the hardstop and does not stop prematurely due to an external disturbance.

Check the CLI output to ensure that no errors were reported.

```
stretch_robot_home 
For use with S T R E T C H (R) from Hello Robot Inc.
---------------------------------------------------------------------

[06/23/2026 09:22:09] [robot] [INFO]: Starting robot homing routine
[06/23/2026 09:22:48] [robot] [INFO]: Homing routine ended.
```

{% endstep %}
{% endstepper %}

## Stowing

Stowing moves the robot joints to a predefined pose that is designed to place the manipulator and tool within the Omnibase footprint.

```
stretch_robot_stow 
For use with S T R E T C H (R) from Hello Robot Inc.
---------------------------------------------------------------------

[06/23/2026 09:25:40] [robot] [INFO]: Starting robot stowing routine
```

You can adjust the stow posture by overriding the parameters in the `stretch_user_params.yaml`. For example, the stowing posture for the tablet tool is determined by:

```
stretch_params | grep stow | grep tablet
stretch_body.robot_params.nominal_params                               param.eoa_wrist_dw4_tool_tablet.stow.arm                               0.0                           
stretch_body.robot_params.nominal_params                               param.eoa_wrist_dw4_tool_tablet.stow.lift                              0.3                           
stretch_body.robot_params.nominal_params                               param.eoa_wrist_dw4_tool_tablet.stow.wrist_pitch                       0.784                         
stretch_body.robot_params.nominal_params                               param.eoa_wrist_dw4_tool_tablet.stow.wrist_roll                        0.0                           
stretch_body.robot_params.nominal_params                               param.eoa_wrist_dw4_tool_tablet.stow.wrist_yaw                         3.633
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hello-robot.com/stretch4_docs/working-with-stretch/motion_basics/homing-and-stowing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
